Uploaded image for project: 'Spring XD'
  1. Spring XD
  2. XD-2684

Set sourceCompatibility to JDK 1.7

    XMLWordPrintable

    Details

    • Type: Story
    • Status: Done
    • Priority: Major
    • Resolution: Complete
    • Affects Version/s: None
    • Fix Version/s: 1.1 GA
    • Component/s: None
    • Labels:
      None

      Description

      Min JDK version for XD 1.1 is 7. Change the sourceCompatibility to 1.7 but leave targetCompatibility at 1.6. Changes are also needed in the mdule parent pom and gradle plugins.

        Attachments

          Activity

            People

            Assignee:
            dturanski David Turanski
            Reporter:
            mark.pollack Mark Pollack
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: